Bug 1515212 - Backport JDK-8180048: Interned strings not even garbage collected with full gc using G1 [rhel-7.4.z]
Summary: Backport JDK-8180048: Interned strings not even garbage collected with full g...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: java-1.8.0-openjdk
Version: 7.4
Hardware: x86_64
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Andrew John Hughes
QA Contact: Lukáš Zachar
URL:
Whiteboard:
Depends On: 1490260
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-20 12:07 UTC by Oneata Mircea Teodor
Modified: 2017-12-19 18:21 UTC (History)
10 users (show)

Fixed In Version: java-1.8.0-openjdk-1.8.0.151-5.b12.el7_4
Doc Type: If docs needed, set a value
Doc Text:
Prior to this update, the Java Virtual Machine (JVM) G1 garbage collector did not collect interned strings. As a consequence, the JVM sometimes terminated unexpectedly due to running out of memory when using large heaps. With this update, the garbage collector has been fixed to collect interned strings properly. As a result, the JVM no longer crashes due to this bug.
Clone Of: 1490260
Environment:
Last Closed: 2017-12-19 18:21:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Icedtea Bugzilla 3411 None None None 2019-02-13 07:12:05 UTC
Red Hat Product Errata RHBA-2017:3488 normal SHIPPED_LIVE java-1.8.0-openjdk bug fix update 2017-12-19 23:19:12 UTC
openjdk bug system JDK-8180048 None None None 2017-11-20 12:08:04 UTC

Description Oneata Mircea Teodor 2017-11-20 12:07:56 UTC
This bug has been copied from bug #1490260 and has been proposed to be backported to 7.4 z-stream (EUS).

Comment 13 errata-xmlrpc 2017-12-19 18:21:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:3488


Note You need to log in before you can comment on or make changes to this bug.